From: "Hombourger, Cedric" <Cedric_Hombourger@mentor.com>
To: "Maxim Yu. Osipov" <mosipov@ilbers.de>,
Jan Kiszka <jan.kiszka@siemens.com>,
isar-users <isar-users@googlegroups.com>
Subject: RE: [PATCH 0/3] umount fixes and cleanups
Date: Wed, 5 Dec 2018 11:32:34 +0000 [thread overview]
Message-ID: <9c4be87d579d43bdad8572b023435d0a@svr-ies-mbx-02.mgc.mentorg.com> (raw)
In-Reply-To: <ddc67c88-244c-9b7d-9fd5-5843e172b67c@ilbers.de>
FWIW, here is an excerpt of the script being used in our (Mentor) CI
# ---------------------------------------------------------------------------------------------------------------------
# Clean previous build
# ---------------------------------------------------------------------------------------------------------------------
check_build_mounts() {
local tries=0
while :
do
mounts=$(mount|awk '{print $3;}'|grep ^${PWD}/ || true);
[ -z "${mounts}" ] && break
for m in ${mounts}
do
sudo umount ${m} 2>/dev/null || true
done
# Abort if some mounts remain after multiple attempts
tries=$((${tries} + 1))
if [ ${tries} -ge 3 ]
then
echo "# error: mounts within 'tmp' are busy!" >&2
exit 1
fi
sleep 1
done
}
# Make sure no mounts were left from a previous build before wiping "tmp" out
echo "# info: trying to remove mounts from previous build(s)..."
check_build_mounts
# Wipe out "tmp"
if [ "${CLEANBUILD}" -eq "1" ]; then
echo "# info: deleting previous build(s)..."
sudo rm -rf tmp
fi
-----Original Message-----
From: Maxim Yu. Osipov [mailto:mosipov@ilbers.de]
Sent: Wednesday, December 5, 2018 2:12 PM
To: Jan Kiszka <jan.kiszka@siemens.com>; isar-users <isar-users@googlegroups.com>
Cc: Hombourger, Cedric <Cedric_Hombourger@mentor.com>
Subject: Re: [PATCH 0/3] umount fixes and cleanups
On 12/5/18 12:29 PM, Jan Kiszka wrote:
> Patches related to resolving the pending CI issues as well as
> simplifying the umounts used during cleanup.
Tried to run in patch queue:
027b7cf Remove redundant recursive umounts
c1bdc33 isar-events: Improve umount handler
b354273 ci: Wait for bitbake worker to finish before deleting artifacts
9cf29e6 isar-bootstrap: Fix and cleanup bind mounting
b354026 isar-image: umount base-apt when doing offline build e965c0d gitlab-ci: Switch to ci_build.sh ...
After execution of problematic test case (I rebooted PC and executed steps in clean tree):
my stretch Debian system was entered into unusable state as many important mounts were disappeared (see log of mount points before and after execution of last command attached).
Maxim.
> Jan
>
> Jan Kiszka (3):
> ci: Wait for bitbake worker to finish before deleting artifacts
> isar-events: Improve umount handler
> Remove redundant recursive umounts
>
> meta/classes/isar-events.bbclass | 38 ++++++++--------------
> meta/classes/isar-image.bbclass | 4 +--
> .../recipes-core/isar-bootstrap/isar-bootstrap.inc | 4 +--
> scripts/ci_build.sh | 1 +
> 4 files changed, 18 insertions(+), 29 deletions(-)
>
--
Maxim Osipov
ilbers GmbH
Maria-Merian-Str. 8
85521 Ottobrunn
Germany
+49 (151) 6517 6917
mosipov@ilbers.de
http://ilbers.de/
Commercial register Munich, HRB 214197
General Manager: Baurzhan Ismagulov
next prev parent reply other threads:[~2018-12-05 11:32 UTC|newest]
Thread overview: 18+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-12-05 9:29 Jan Kiszka
2018-12-05 9:29 ` [PATCH 1/3] ci: Wait for bitbake worker to finish before deleting artifacts Jan Kiszka
2018-12-05 9:52 ` Hombourger, Cedric
2018-12-05 9:59 ` Maxim Yu. Osipov
2018-12-05 10:04 ` Jan Kiszka
2018-12-05 9:29 ` [PATCH 2/3] isar-events: Improve umount handler Jan Kiszka
2018-12-05 9:29 ` [PATCH 3/3] Remove redundant recursive umounts Jan Kiszka
2018-12-05 11:12 ` [PATCH 0/3] umount fixes and cleanups Maxim Yu. Osipov
2018-12-05 11:32 ` Hombourger, Cedric [this message]
2018-12-05 12:14 ` Jan Kiszka
2018-12-05 12:31 ` Hombourger, Cedric
2018-12-05 12:35 ` Jan Kiszka
2018-12-05 12:48 ` Hombourger, Cedric
2018-12-05 12:54 ` Jan Kiszka
2018-12-05 14:26 ` Maxim Yu. Osipov
2018-12-05 14:52 ` Jan Kiszka
2018-12-05 23:08 ` Jan Kiszka
2018-12-07 13:46 ` Maxim Yu. Osipov
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=9c4be87d579d43bdad8572b023435d0a@svr-ies-mbx-02.mgc.mentorg.com \
--to=cedric_hombourger@mentor.com \
--cc=isar-users@googlegroups.com \
--cc=jan.kiszka@siemens.com \
--cc=mosipov@ilbers.de \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox